> For the complete documentation index, see [llms.txt](https://docs.aeternity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aeternity.com/developer-documentation/aepp-sdk-js/docs/guides/migration/7.md).

# Migration to 7.0.0

This guide describes the process of migrating to SDK version 7.0.0

## Step 1

SDK will not accept `url`, `internalUrl` init arguments anymore:

#### Before

```js
Universal({
  url,
  internalUrl,
});
```

#### After

```js
const nodeInstance = await Node({ url, internalUrl });
Universal({
  nodes: [{ name: 'testnet', instance: nodeInstance }],
});
```

## Step 2

Remove deprecated function `setKeypair`\
`SDK` will not accept `keypair` init argument anymore:

#### Before

```js
Universal({ keypair });
```

#### After

```js
Universal({
  accounts: [MemoryAccount({ keypair })],
});
```

## Step 3

Change all of `AENS` method's first argument from `nameId` to `name`

### Before

```js
const client = Universal({ ... })

await client.aensUpdate('cm_ad1wdsa...', ...)
await client.aensTransfer('cm_ad1wdsa...', ...)
await client.aensRevoke('cm_ad1wdsa...', ...)
```

### After

```js
const client = Universal({ ... })

await client.aensUpdate('testname.chain', ...)
await client.aensTransfer('testname.chain', ...)
await client.aensRevoke('testname.chain', ...)
```

## Other Breaking Changes

* Add new compiler `methods` to RPC `communication` (base-app update required)
* Drop compiler version to `version >= 4.0.0 && version < 5.0.0`
* Change node compatibility range to `node >= 5.0.0 && node < 6.0.0`
* Always `verify` transactions before sending them to the node (can be disabled using the option `verify: false`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aeternity.com/developer-documentation/aepp-sdk-js/docs/guides/migration/7.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
